- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# openvswitch_db – Configure open vswitch database

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- Set column values in record in database table.

## Requirements

The below requirements are needed on the host that executes this module.

- ovs-vsctl >= 2.3.3

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
col - / required |  | Identifies the column in the record.
key - |  | Identifies the key in the record column, when the column is a map type.
record - / required |  | Identifies the record in the table.
state - added in 2.4 | Choices: present ← absent | Configures the state of the key. When set to present, the key and value pair will be set on the record and when set to absent the key will not be set.
table - / required |  | Identifies the table in the database.
timeout - | Default: 5 | How long to wait for ovs-vswitchd to respond
value - / required |  | Expected value for the table, record, column and key.

## Examples

    # Increase the maximum idle time to 50 seconds before pruning unused kernel
    # rules.
    - openvswitch_db:
        table: open_vswitch
        record: .
        col: other_config
        key: max-idle
        value: 50000

    # Disable in band copy
    - openvswitch_db:
        table: Bridge
        record: br-int
        col: other_config
        key: disable-in-band
        value: true

    # Remove in band key
    - openvswitch_db:
        state: present
        table: Bridge
        record: br-int
        col: other_config
        key: disable-in-band

    # Mark port with tag 10
    - openvswitch_db:
        table: Port
        record: port0
        col: tag
        value: 10

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Mark Hamilton (@markleehamilton) <mhamilton@vmware.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.